%{?python_enable_dependency_generator}
%global srcname matrix-synapse-ldap3
%global desc Allows synapse to use LDAP as a password provider.

Name:           python-%{srcname}
Version:        0.1.3
Release:        3%{?dist}
Summary:        Allows synapse to use LDAP as a password provider

License:        ASL 2.0
URL:            https://github.com/matrix-org/%{srcname}
Source0:        %{url}/archive/v%{version}/%{srcname}-v%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}


%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2dist(twisted) >= 15.1.0
BuildRequires:  python2dist(ldap3) >= 0.9.5
BuildRequires:  python2dist(service-identity)
BuildRequires:  python2dist(mock)
BuildRequires:  python2dist(ldaptor)
%{?python_provide:%python_provide python2-%{srcname}}


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python2-%{srcname}
%{desc}


%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
PYTHONPATH=. trial-2 tests
# ldaptor isn't packaged for Python 3


%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*


%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*


%changelog
* Sat Dec 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.3-3
- Enable python dependency generator

* Fri Dec 28 2018 Jeremy Cline <jeremy@jcline.org> - 0.1.3-2
- Add Python 3 subpackage

* Thu Oct 04 2018 Jeremy Cline <jeremy@jcline.org> - 0.1.3-1
- Bump to 0.1.3

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 12 2017 Jeremy Cline <jeremy@jcline.org> - 0.1.2-2
- Bump the release to rebuild on F26

* Tue Mar 07 2017 Jeremy Cline <jeremy@jcline.org> - 0.1.2-1
- Initial package
